pico(1)

NAZWA
pico - prosty edytor tekstu w stylu Pine

SKŁADNIA
pico [ opcje ] [ plik ]

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

Pico jest prostym, zorientowanym ekranowo edytorem tekstowym opartym o program obsługi wiadomości pocztowych Pine. Tak jak w Pine, polecenia wyświetlane są u dołu ekranu. Zapewniona jest też pomoc kontekstowa. Wszystkie znaki bezpośrednio po wpisaniu są wstawiane w tekst.

Polecenia edycyjne wprowadzane są przy pomocy kombinacji klawiszy sterujących [Ctrl+znak]. Jako obejście programów komunikacyjnych połykających niektóre znaki strujące możesz emulować znak sterujące naciskając dwukrotnie ESCAPE, a następnie żądany znak sterujący, np. "ESC ESC c" jest równoważne wprowadzeniu Ctrl-c. Edytor posiada pięć podstawowych funkcji: wyrównywanie akapitów, wyszukiwanie, wycinanie/wstawianie bloków, sprawdzanie pisowni i przeglądarkę plików.

Wyrównywanie (lub wypełnianie) akapitu działa na akapicie zawierającym kursor lub, jeśli kursor znajduje się pomiędzy wierszami, bezpośrednio poniższym. Akapity rozdzielane są pustymi wierszami lub wierszami rozpoczynającymi się spacją bądź tabulatorem. Cofnięcie wyrównywania możliwe jest przy pomocy kombinacji klawiszy control-U użytej bezpośrednio po przeprowadzonym wyrównywaniu.

Wyszukiwanie łańcuchów znakowych nie rozróżnia małych i dużych liter [tłum:łacińskich; niestety polskie nie są rozpoznawane]. Wyszukiwanie rozpoczyna się od bieżącej pozycji kursora i po dojściu do końca tekstu jest kontynuowane od jego początku. Przy kolejnych wyszukiwaniach proponowany jest jako domyślny ostatnio szukany łańcuch.

Bloki tekstu mogą być przenoszone, kopiowane lub kasowane przez twórcze zastosowanie poleceń zaznaczania (ctrl-^), kasowania (ctrl-k) i cofnięcia operacji (ctrl-u). Polecenie kasowania usuwa tekst pomiędzy "znacznikiem" a bieżącą pozycją kursora i umieszcza go w buforze "wycinania". Polecenie cofnięcia operacji spowoduje "wstawienie" zawartości bufora w bieżącym położeniu kursora.

Kontroler pisowni sprawdza wszystkie wyrazy tekstu. Następnie, podświetlając błędnie napisane słowa proponuje ich poprawienie. Sprawdzanie pisowni może zostać anulowane w dowolnym momencie. Alternatywnie pico zastąpi domyślną procedurę sprawdzania pisowni procedurą zdefiniowaną przez zmienną środowiskową SPELL. Procedura zastępcza powinna czytać ze standardowego wejścia i zapisywać na standardowe wyjście.

Przeglądarka plików proponowana jest jako opcja przy poleceniach "Read File" (czytaj plik) i "Write Out" (zapisz). Jej zadaniem jest pomoc w poszukiwaniu konkretnych plików i nawigacji w drzewie katalogów. Do wybrania przedstawiane są nazwy plików z rozmiarami i nazwy podkatalogów z bieżącego katalogu. Bieżący katalog roboczy wyświetlany jest w górnym wierszu, zaś lista dostępnych poleceń zajmuje dwa dolne. Obsługiwane jest kilka podstawowych operacji: zmiana nazw plików, kopiowanie i usuwanie.

Bardziej szczegółowa pomoc zawarta jest w pomocy wbudowanej pico.

OPCJE

+n  Powoduje, że pico wystartuje z kursorem umieszczonym w n-tym wierszu pliku. (Zauważ: bez odstępu między znakiem "+" a liczbą)

-b  Włącz opcję zastępowania tekstu (Replace) dopasowaniami znalezionymi przy pomocy polecenia "Where is".

-d  Przypisz klawisz "delete" do wymazywania znaku w miejscu kursora zamiast znaku przed kursorem.

-e  Włącz uzupełnianie nazw plików.

-f  Użyj klawiszy funkcyjnych dla poleceń. Opcja ta jest obsługiwana wyłącznie w połączeniu z UW Enhanced NCSA telnet.

-h  Podaje dostępne opcje wiersza poleceń.

-j  Włącz polecenie "Goto" w przeglądarce plików. Pozwala to poleceniu na jawne wskazanie pilotowi, który katalog odwiedzić.

-g  Włącz tryb "Show Cursor" (pokazywania kursora) w przeglądarce plików. Powoduje, że kursor ustawiany jest przed bieżącym wyborem a nie w dolnym lewym rogu ekranu.

-k  Powoduje, że polecenie "Cut Text" (wytnij tekst) usuwa znaki od pozycji kursora do końca wiersza zamiast usuwania całego wiersza.

-m  Włącza obsługę myszką. Działa tylko wtedy, gdy pico uruchomiony jest w oknie "xterm" systemu X Window.

-nn Opcja -nn włącza powiadamianie o nowej korespondencji. Argument n jest opcjonalny i podaje jak często, w sekundach, będzie sprawdzana twoja skrzynka pocztowa. Na przykład, -n60 powoduje, że pico będzie co minutę sprawdzać, czy nadeszła nowa przesyłka pocztowa. Domyślnym odstępem jest 180 sekund, dozwolonym minimum zaś 30. (Uwaga: bez spacji między "n" i liczbą)

-o katalog
    Ustawia katalog pracy. Dostępne będą wyłącznie pliki z tego katalogu. Podobnie, przeglądarka plików ograniczona jest do poddrzewa podanego katalogu.

-rn Ustawia kolumnę używaną jako prawy margines w poleceniu wyrównywania akapitu ("Justify").

-s speller
    Określa alternatywny program sprawdzania pisowni.

-t  włącza "tryb narzędzia" ("tool mode"). Przeznaczony do sytuacji, gdy pico używany jest jako edytor wewnątrz innych narzędzi (np. Elm, Pnews). Pico nie będzie monitował o zapisanie przy kończeniu pracy i nie będzie zmieniał nazwy bufora przy operacji zapisu (polecenie "Write Out").

-v  Tylko przeglądanie pliku, wyłączenie edycji.

-w  Wyłączenie zawijania wyrazów [przenoszenia do następnego wiersza]. Pozwala więc na edycję długich wierszy.

-x  Wyłącz menu klawiszy na dole ekranu.

-z  Włącza możliwość zawieszania pracy pico przez ^Z.

-q  Definicje sekwencji specjalnych z termcap czy terminfo będą mieć pierwszeństwo nad domyślnie zdefiniowanymi sekwencjami. Opcja ta jest dostępna tylko wtedy, gdy pico został skompilowany z włączoną dyrektywą define TERMCAP_WINS.

Na koniec, kiedy uruchomiony pico zostanie rozłączony (tj. otrzyma SIGHUP), to w razie potrzeby zapisze on przed zakończeniem bieżącą pracę. Zapisywana jest ona do pliku o nazwie edytowanego z dodaną końcówką ".save". Jeśli aktualna praca nie była nazwana, to zachowywana jest w pliku o nazwie "pico.save".

BŁĘDY
Sposób, w jaki obsługiwane są wiersze dłuższe niż szerokość wyświetlania, nie jest od razu oczywisty. Wiersze mające kontynuację poza granicą ekranu wskazywane są znakiem '$' na ich końcu. Długie wiersze przewijane są poziomo podczas przesuwania kursora.

PLIKI
pico.save	Zachowuje przerwaną pracę nad nie nazwanym plikiem.
*.save	Zachowuje pracę nad nazwanym plikiem.

AUTORZY
Michael Seibel <mikes@cac.washington.edu>
Laurence Lundblade <lgl@cac.washington.edu>
Pico powstał pierwotnie na podstawie MicroEmacs 3.6, napisanego przez Dave'a G. Conroy.
Pico jest znakiem handlowym University of Washington.
Copyright 1989-1999 by the University of Washington.

ZOBACZ TAKŻE
pine(1).

Dystrybucja ze źródłami (część Pine Message System):
   ftp://ftp.cac.washington.edu/mail/pine.tar.Z

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 1 pico.alpine

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.